sayren Docs
클레임

클레임 목록 조회

GET
/v1/claims
AuthorizationBearer <token>

userToken(계정 스코프) 또는 storeToken(스토어 스코프)

In: header

Query Parameters

type?string

클레임 유형 필터

Value in

  • "CANCEL"
  • "RETURN"
  • "EXCHANGE"
status?string

클레임 상태 필터. 쉼표로 여러 개를 줄 수 있다 (예: REQUESTED,HELD,COLLECTED)

orderItemId?string

주문상품 id 필터

requestedFrom?string

요청 시각 조회 시작 (ISO 8601, 포함)

requestedTo?string

요청 시각 조회 끝 (ISO 8601, 포함)

page?string

페이지 번호 (1부터, 기본 1)

size?string

페이지 크기 (기본 20, 최대 100)

Response Body

application/json

curl -X GET "https://example.com/v1/claims"
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "page": 0,    "size": 0,    "totalElements": 0,    "totalPages": 0,    "contents": [      {        "claimId": "string",        "type": "CANCEL",        "status": "REQUESTED",        "orderId": "string",        "orderItemId": "string",        "productName": "string",        "quantity": 0,        "reason": "CHANGE_OF_MIND",        "reasonDetail": "string",        "responsibility": "BUYER",        "claimDeliveryFee": 0,        "expectedRefundAmount": 0,        "exchangeOption": {          "optionId": "string",          "optionName": "string"        },        "collect": {          "method": "SELLER_PICKUP",          "carrierCode": "string",          "trackingNumber": "string"        },        "requestedAt": "string",        "completedAt": "string",        "holdExpiresAt": "string",        "holdUsed": true      }    ]  },  "error": null}